# AskAI

**AskAI** is an AI-powered assistant that helps users **ask questions about Soda** and get answers directly from Soda documentation.

It is designed to:

* Reduce time spent searching docs
* Help new and existing users understand Soda concepts faster

#### <i class="fa-camcorder">:camcorder:</i> Watch AskAI in action

{% embed url="<https://files.gitbook.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FA2PmHkO5cBgeRPdiPPOG%2Fuploads%2Fl0vd5xlni2501zzCxRtk%2Fcopilot.mp4?alt=media&token=ce29d67a-9eb5-4b02-afce-b014fae99430>" %}

## How does AskAI work?

AskAI works just like other LLM-based chats, but its **knowledge base is limited to Soda documentation**.

### Data usage and privacy

* Only the **user’s question** is sent to the model
* The only additional context provided is **Soda documentation content**
* No customer datasets, metadata, or contracts are included or sent to Soda while using AskAI
* Requests are not used for model training

### Guardrails and limitations

* Responses are restricted to Soda-related topics
* AskAI may not always produce complete or perfectly accurate answers
* AskAI does **not** provide explainability or audit trails beyond the answer itself

{% hint style="success" %}
AskAI should be treated as a **documentation assistant**, not a source of truth.
{% endhint %}

<br>

***

{% if (visitor.claims.plan === 'datasetStandard')%}
{% hint style="success" %}
You are **logged in to Soda** and seeing the **Free license** documentation. Learn more about [documentation-access-and-licensing](https://docs.soda.io/reference/documentation-access-and-licensing "mention").
{% endhint %}
{% endif %}

{% if (visitor.claims.plan === 'enterprise')%}
{% hint style="success" %}
You are **logged in to Soda** and seeing the **Team license** documentation. Learn more about [documentation-access-and-licensing](https://docs.soda.io/reference/documentation-access-and-licensing "mention").
{% endhint %}
{% endif %}

{% if (visitor.claims.plan === 'enterpriseUserBased')%}
{% hint style="success" %}
You are **logged in to Soda** and seeing the **Enterprise license** documentation. Learn more about [documentation-access-and-licensing](https://docs.soda.io/reference/documentation-access-and-licensing "mention").
{% endhint %}
{% endif %}

{% if !(visitor.claims.plan === 'enterprise' || visitor.claims.plan === 'enterpriseUserBased' || visitor.claims.plan === 'datasetStandard')%}
{% hint style="info" %}
You are **not logged in to Soda** and are viewing the default public documentation. Learn more about [documentation-access-and-licensing](https://docs.soda.io/reference/documentation-access-and-licensing "mention").
{% endhint %}
{% endif %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soda.io/reference/soda-ai/askai.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
